Package org.apache.sysds.runtime.compress.utils

## Class ACount.DCounts

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.ACount<Double>
  - - org.apache.sysds.runtime.compress.utils.ACount.DCounts

Enclosing class:
  ACount<T>

    public static final class ACount.DCounts
    extends ACount<Double>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.compress.utils.ACount

`ACount.DArrCounts, ACount.DCounts`

### Field Summary

Fields
`double` `key`
`ACount.DCounts` `next`

### Fields inherited from class org.apache.sysds.runtime.compress.utils.ACount

`count, id`

### Constructor Summary

Constructors
`DCounts​(double key, int id)`
`DCounts​(double key, int id, int c)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ACount<Double>` `get​(double key)`
`ACount<Double>` `get​(Double key)`
`static int` `hashIndex​(double key)`
`ACount.DCounts` `inc​(double key, int c, int id)`
`ACount.DCounts` `inc​(Double key, int c, int id)`
`Double` `key()`
`ACount.DCounts` `next()`
`void` `setNext​(ACount<Double> e)`
`ACount.DCounts` `sort()`

### Methods inherited from class org.apache.sysds.runtime.compress.utils.ACount

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### key

    public final double key

#### next

    public ACount.DCounts next

### Constructor Detail

#### DCounts

    public DCounts​(double key,
                   int id)

#### DCounts

    public DCounts​(double key,
                   int id,
                   int c)

### Method Detail

#### next

    public final ACount.DCounts next()

Specified by:
  `next` in class `ACount<Double>`

#### setNext

    public final void setNext​(ACount<Double> e)

Specified by:
  `setNext` in class `ACount<Double>`

#### key

    public final Double key()

Specified by:
  `key` in class `ACount<Double>`

#### sort

    public ACount.DCounts sort()

Overrides:
  `sort` in class `ACount<Double>`

#### get

    public ACount<Double> get​(Double key)

Specified by:
  `get` in class `ACount<Double>`

#### get

    public ACount<Double> get​(double key)

Overrides:
  `get` in class `ACount<Double>`

#### inc

    public ACount.DCounts inc​(Double key,
                              int c,
                              int id)

Specified by:
  `inc` in class `ACount<Double>`

#### inc

    public ACount.DCounts inc​(double key,
                              int c,
                              int id)

Overrides:
  `inc` in class `ACount<Double>`

#### hashIndex

    public static final int hashIndex​(double key)